<?php

use Illuminate\Foundation\Application;
use Illuminate\Foundation\Configuration\Exceptions;
use Illuminate\Foundation\Configuration\Middleware;
use App\Http\Middleware\JwtMiddleware;
use App\Http\Middleware\Lang;
use App\Http\Middleware\AdminMiddleware;
return Application::configure(basePath: dirname(__DIR__))
    ->withRouting(
        web: __DIR__.'/../routes/web.php',
        api: __DIR__.'/../routes/api.php',
        commands: __DIR__.'/../routes/console.php',
        health: '/up',
        then: function () {
            Route::middleware('web')
                ->group(base_path('routes/admin.php'));
            Route::middleware('api')
                ->namespace('parent')
                ->group(base_path('routes/api/parent.php'));
            Route::middleware('web')
                ->namespace('employee')
                ->group(base_path('routes/api/employee.php'));

        }
    )
    ->withMiddleware(function (Middleware $middleware) {
//        $middleware->append(JwtMiddleware::class);
        $middleware->append(Lang::class);
//        $middleware->append(AdminMiddleware::class);
    })
    ->withExceptions(function (Exceptions $exceptions) {
        //
    })->create();
